petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatSetDM

Sets the DM defining the data layout of the matrix

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode MatSetDM(Mat A, DM dm)

Not collective

### Input Parameters

| A | - The Mat
| dm | - The DM

Developer Note: Since the Mat class doesn't know about the DM class the DM object is associated with the Mat through a PetscObjectCompose() operation

### See Also

MatGetDM(), DMCreateMatrix(), DMSetMatType()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex35.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages